POST
/
api
/
v1
/
organizations
/
with-admin
Create Organization With Admin
curl --request POST \
  --url https://api.jobsim.work/api/v1/organizations/with-admin \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "adminEmail": "<string>",
  "adminPassword": "<string>",
  "description": "",
  "plan": "Professional",
  "billingStatus": "Trial"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for creating an organization with its admin user.

name
string
required
Minimum string length: 1
adminEmail
string
required
Minimum string length: 1
adminPassword
string
required
Minimum string length: 6
description
string | null
default:""
plan
string | null
default:Professional
billingStatus
string | null
default:Trial

Response

Successful Response